#include "myh.h"
#include "MainComp.h"

class MainWindow  : public DocumentWindow
{
public:
    MainWindow(const String &name)
        : DocumentWindow (name,
                          Colours::beige, 
                          DocumentWindow::allButtons, 
                          true)
    {
        setContentComponent (new MainComp()); // MainWindow ist Owner

        setVisible (true);
        centreWithSize (400, 300);
    }

    ~MainWindow() { }
    void closeButtonPressed() { JUCEApplication::quit(); }
};


class MyApplication : public JUCEApplication
{
public:
    void initialise (const String& commandLine)
    {
        mainWindow = new MainWindow(getApplicationName());
    }

    void shutdown()
    {
        // clear up..

        if (mainWindow != 0)
            delete mainWindow;

		GlobalAudioDeviceManager::release();

        LookAndFeel::setDefaultLookAndFeel (0);
    }

    const String getApplicationName() { return T("Noch Nichts"); }
    MyApplication() : mainWindow (0)  { /* Do nothing! */ }
    ~MyApplication()                  { /* Do nothing! */ }

private:
    MainWindow* mainWindow; // Nur Zeiger
};

START_JUCE_APPLICATION (MyApplication)
